## org.apache.commons.math3.analysis.function
Class Cbrt

    java.lang.Object
      org.apache.commons.math3.analysis.function.Cbrt

All Implemented Interfaces:
  DifferentiableUnivariateFunction, UnivariateFunction

    public class Cbrt

extends Object
implements DifferentiableUnivariateFunction

Cube root function.

Since:
  3.0
Version:
  $Id$

Constructor Summary
`Cbrt()`

Method Summary
`UnivariateFunction` `derivative()` Returns the derivative of the function
`double` `value(double x)` Compute the value of the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cbrt

    public Cbrt()

Method Detail

### value

    public double value(double x)

  Compute the value of the function.

  Specified by:
    `value` in interface `UnivariateFunction`
  Parameters:
    `x` - Point at which the function value should be computed.
  Returns:
    the value of the function.

### derivative

    public UnivariateFunction derivative()

  Returns the derivative of the function

  Specified by:
    `derivative` in interface `DifferentiableUnivariateFunction`
  Returns:
    the derivative function

Copyright (c) 2003-2013 Apache Software Foundation